%==========================================================================
% Table 3 / Numerical example
% see optimum.m for details
%==========================================================================

param(1)=0.0001;   %pi;
param(2)=0.01;     %p1;
param(3)=0.25;     %ci;
param(4)=20;       %cnc;
param(5)=100;      %ca;
param(6)=2;        %cs_nc;
param(7)=2.5;      %cs_c;
param(8)=0.01;     %alpha;
param(9)=0.01;     %beta;
param(10)=1e-6;    %deltamax;
param(11)=0.03;    %phimax;


results=zeros(3,6);

%==========================================================================
%cnc = 20
%==========================================================================
param(4)=20;       %cnc;

% Model 1 = Exponential
[mo,ro,Co,phio,chainlog]=optimum(param,[],[],[0 0 1],1);
results(1,1)=mo;
results(1,2)=ro;
results(1,3)=Co;

% Model 2 = Linear
[mo,ro,Co,phio,chainlog]=optimum(param,[],[],[0 0 1],2);
results(2,1)=mo;
results(2,2)=ro;
results(2,3)=Co;

% Model 3 = Constant
[mo,ro,Co,phio,chainlog]=optimum(param,[],[],[0 0 1],3);
results(3,1)=mo;
results(3,2)=ro;
results(3,3)=Co;

%==========================================================================
%cnc = 5
%==========================================================================
param(4)=5;       %cnc;

% Model 1 = Exponential
[mo,ro,Co,phio,chainlog]=optimum(param,[],[],[0 0 1],1);
results(1,4)=mo;
results(1,5)=ro;
results(1,6)=Co;

% Model 2 = Linear
[mo,ro,Co,phio,chainlog]=optimum(param,[],[],[0 0 1],2);
results(2,4)=mo;
results(2,5)=ro;
results(2,6)=Co;

% Model 3 = Constant
[mo,ro,Co,phio,chainlog]=optimum(param,[],[],[0 0 1],3);
results(3,4)=mo;
results(3,5)=ro;
results(3,6)=Co;

results
